## firmware-ast 20140808

=== Makefile ===
# Copyright (C) 2010-2021 Daniel Baumann <daniel.baumann@progress-linux.org>
#
# SPDX-License-Identifier: MIT
#
# Permission to use, copy, modify, distribute, and sell this software and its
# documentation for any purpose is hereby granted without fee, provided that
# the above copyright notice appear in all copies and that both that
# copyright notice and this permission notice appear in supporting
# documentation, and that the name of the authors not be used in
# advertising or publicity pertaining to distribution of the software without
# specific, written prior permission.  The authors makes no representations
# about the suitability of this software for any purpose.  It is provided
# "as is" without express or implied warranty.
#
# THE AUTHORS DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
# INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
# EVENT SHALL THE AUTHORS BE LIABLE FOR ANY SPECIAL, INDIRECT OR
# CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
# DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
# TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
# PERFORMANCE OF THIS SOFTWARE.

SHELL := sh -e

all: build

ast_dp501fw.h:
	@echo "# Getting sources"
	wget https://gitlab.freedesktop.org/xorg/driver/xf86-video-ast/raw/master/src/ast_dp501fw.h -O ast_dp501fw.h || \
	curl https://gitlab.freedesktop.org/xorg/driver/xf86-video-ast/raw/master/src/ast_dp501fw.h -o ast_dp501fw.h

ast_dp501_fw.bin: ast_dp501fw.h
	@echo "# Creating firmware"
	grep ^0x ast_dp501fw.h  | sed -e 's|,};$$|,|' | xxd -r -p - ast_dp501_fw.bin

build: ast_dp501_fw.bin

install: build
	@echo "# Installing firmware"
	mkdir -p $(DESTDIR)/lib/firmware
	cp *.bin $(DESTDIR)/lib/firmware

uninstall:
	@echo "# Uninstalling firmware"
	for FILE in *.bin; do rm -f $(DESTDIR)/lib/firmware/$${FILE}; done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/lib/firmware > /dev/null 2>&1 || true

reinstall: clean uninstall install

clean:
	@echo "# Removing firmware"
	rm -f *.bin

distclean: clean
	@echo "# Removing sources"
	rm -f *.h

=== debian/changelog ===
firmware-ast (20140808-9) sid; urgency=medium

  * Updating vcs fields.
  * Trimming changelog.
  * Updating email address.
  * Updating year in debian copyright for 2025.

 -- Daniel Baumann <daniel@debian.org>  Wed, 05 Feb 2025 09:24:27 +0100

firmware-ast (20140808-8) sid; urgency=medium

  * Updating copyright for 2024.
  * Updating to standards-version 4.7.0.
  * Installing firmware files into /usr/lib/firmware (Closes: #1073633).

 -- Daniel Baumann <daniel@debian.org>  Sun, 14 Jul 2024 21:20:30 +0200

firmware-ast (20140808-7) sid; urgency=medium

  * Updating to standards version 4.6.2.
  * Moving source and binary from non-free/kernel to non-free-
    firmware/kernel following the 2022 General Resolution about non-free
    firmware, thanks to Cyril Brulebois <kibi@debian.org> (Closes:
    #1029110).

 -- Daniel Baumann <daniel@debian.org>  Wed, 18 Jan 2023 06:16:58 +0100

firmware-ast (20140808-6) sid; urgency=medium

  * Replacing build-depends on vim by xxd explicitly to fix FTBFS with
    newer vim, thanks to Andreas Beckmann <anbe@debian.org> (Closes:
    #1021238).

 -- Daniel Baumann <daniel@debian.org>  Tue, 04 Oct 2022 11:27:16 +0200

firmware-ast (20140808-5) sid; urgency=medium

  * Updating packaging copyright for 2022.
  * Updating to standards version 4.6.1.

 -- Daniel Baumann <daniel@debian.org>  Thu, 07 Jul 2022 10:23:35 +0200

firmware-ast (20140808-4) sid; urgency=medium

  * Adding autobuild field.

 -- Daniel Baumann <daniel@debian.org>  Mon, 15 Nov 2021 07:00:00 +0100

firmware-ast (20140808-3) sid; urgency=medium

  * Updating to standards version 4.6.0.

 -- Daniel Baumann <daniel@debian.org>  Sat, 09 Oct 2021 11:04:04 +0200

firmware-ast (20140808-2) sid; urgency=medium

  * Moving package to non-free, the binary-blob has a free license but no
    source in the sense of 'prefered-form-of-modification', thanks Josh
    Triplett <josh@joshtriplett.org> (Closes: #986268).

 -- Daniel Baumann <daniel@debian.org>  Tue, 06 Apr 2021 12:56:55 +0200

firmware-ast (20140808-1) sid; urgency=medium

  * Initial upload to sid.

 -- Daniel Baumann <daniel@debian.org>  Sat, 13 Mar 2021 06:38:29 +0100

=== debian/control ===
Source: firmware-ast
Section: non-free-firmware/kernel
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 xxd,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://gitlab.freedesktop.org/xorg/driver/xf86-video-ast
Vcs-Browser: https://forgejo.debian.net/linux/firmware-ast
Vcs-Git: https://forgejo.debian.net/linux/firmware-ast
XS-Autobuild: yes

Package: firmware-ast
Section: non-free-firmware/kernel
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 initramfs-tools,
Enhances:
 firmware-linux-free,
 xserver-xorg-video-ast,
Description: Binary firmware for ASpeed Technologies graphics chips
 This package contains the binary firmware for ASpeed Technologies graphics
 chips supported by the xserver-xorg-video-ast driver.
 .
 Contents:
  * AST microcode (ast_dp501_fw.bin)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_clean:
	$(MAKE) clean

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/firmware-ast/usr install
